Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.classfile
Class ClassFileSequencerLexicon

    java.lang.Object
      org.modeshape.sequencer.classfile.ClassFileSequencerLexicon

    public class ClassFileSequencerLexicon

extends Object

The namespace and property names used within a `ClassFileSequencer` to store internal information.

Nested Class Summary
`static class` | `ClassFileSequencerLexicon.Namespace`

Field Summary
`static Name` | `ABSTRACT`
`static Name` | `ANNOTATION`
`static Name` | `ANNOTATION_MEMBER`
`static Name` | `ANNOTATIONS`
`static Name` | `CLASS`
`static Name` | `CONSTRUCTORS`
`static Name` | `ENUM`
`static Name` | `ENUM_VALUES`
`static Name` | `FIELD`
`static Name` | `FIELDS`
`static Name` | `FINAL`
`static Name` | `INTERFACE`
`static Name` | `INTERFACES`
`static Name` | `METHOD`
`static Name` | `METHODS`
`static Name` | `NAME`
`static Name` | `NATIVE`
`static Name` | `PARAMETERS`
`static Name` | `RETURN_TYPE_CLASS_NAME`
`static Name` | `SEQUENCED_DATE`
`static Name` | `STATIC`
`static Name` | `STRICT_FP`
`static Name` | `SUPER_CLASS_NAME`
`static Name` | `SYNCHRONIZED`
`static Name` | `TRANSIENT`
`static Name` | `TYPE_CLASS_NAME`
`static Name` | `VALUE`
`static Name` | `VISIBILITY`
`static Name` | `VOLATILE`

Constructor Summary
`ClassFileSequencerLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ABSTRACT

    public static final Name ABSTRACT

### ANNOTATION

    public static final Name ANNOTATION

### ANNOTATIONS

    public static final Name ANNOTATIONS

### ANNOTATION_MEMBER

    public static final Name ANNOTATION_MEMBER

### CLASS

    public static final Name CLASS

### CONSTRUCTORS

    public static final Name CONSTRUCTORS

### ENUM_VALUES

    public static final Name ENUM_VALUES

### ENUM

    public static final Name ENUM

### FIELD

    public static final Name FIELD

### FIELDS

    public static final Name FIELDS

### FINAL

    public static final Name FINAL

### INTERFACE

    public static final Name INTERFACE

### INTERFACES

    public static final Name INTERFACES

### METHOD

    public static final Name METHOD

### METHODS

    public static final Name METHODS

### NAME

    public static final Name NAME

### NATIVE

    public static final Name NATIVE

### PARAMETERS

    public static final Name PARAMETERS

### RETURN_TYPE_CLASS_NAME

    public static final Name RETURN_TYPE_CLASS_NAME

### SEQUENCED_DATE

    public static final Name SEQUENCED_DATE

### STATIC

    public static final Name STATIC

### STRICT_FP

    public static final Name STRICT_FP

### SUPER_CLASS_NAME

    public static final Name SUPER_CLASS_NAME

### SYNCHRONIZED

    public static final Name SYNCHRONIZED

### TRANSIENT

    public static final Name TRANSIENT

### TYPE_CLASS_NAME

    public static final Name TYPE_CLASS_NAME

### VALUE

    public static final Name VALUE

### VISIBILITY

    public static final Name VISIBILITY

### VOLATILE

    public static final Name VOLATILE

Constructor Detail

### ClassFileSequencerLexicon

    public ClassFileSequencerLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.